| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::detail::when_any::arg_helper_s< T > Struct Template Reference

Type trait helper to obtain the actual type that will be used by a when_any when a type is passed as a parameter. May specialize for certain types for specific behavior, e.g. for an event_router, store the awaitable directly. More...

`#include <when_any.h>`

Inheritance diagram for dpp::detail::when_any::arg_helper_s< T >:
[legend]

## Public Types

using | type = T

## Static Public Member Functions

static decltype(auto) | get (auto &&v)

## Detailed Description

template<typename T>
struct dpp::detail::when_any::arg_helper_s< T >

Type trait helper to obtain the actual type that will be used by a when_any when a type is passed as a parameter. May specialize for certain types for specific behavior, e.g. for an event_router, store the awaitable directly.

## Member Typedef Documentation

## ◆ type

template<typename T>

using dpp::detail::when_any::arg_helper_s< T >::type = T

Raw type of the awaitable

## Member Function Documentation

## ◆ get()

template<typename T>

decltype(auto) dpp::detail::when_any::arg_helper_s< T >::get | ( | auto && | v | ) |

inline static

Helper static method to get the awaitable from a variable

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0